import { defineComponent as k, openBlock as s, createElementBlock as o, normalizeClass as m, createElementVNode as d, renderSlot as b, createCommentVNode as _, createTextVNode as B, toDisplayString as c, ref as V, computed as h, unref as w, withDirectives as y, vModelText as O, Fragment as C, renderList as I, vModelSelect as M, vModelCheckbox as T, vModelRadio as U, normalizeStyle as D } from "vue";
const E = ["disabled", "id"], z = { key: 0 }, A = {
  key: 1,
  class: "ui-button__content"
}, F = {
  key: 0,
  class: "ui-button__content-slot"
}, L = { class: "ui-button__text" }, W = {
  key: 1,
  class: "ui-button__content-slot ui-button__content-slot--right"
}, j = /* @__PURE__ */ k({
  __name: "Button",
  props: {
    text: {},
    id: {},
    disabled: { type: Boolean },
    fullWidth: { type: Boolean },
    loading: { type: Boolean }
  },
  emits: ["click"],
  setup(u, { emit: a }) {
    const n = a, l = () => {
      n("click");
    };
    return (t, i) => (s(), o("button", {
      disabled: t.disabled,
      id: t.id,
      class: m([
        "ui-button",
        {
          "ui-button__disabled": t.disabled,
          "ui-button__full-width": t.fullWidth
        }
      ]),
      onClick: l
    }, [
      t.loading ? (s(), o("div", z, i[0] || (i[0] = [
        d("span", null, "Loading ...", -1)
      ]))) : (s(), o("div", A, [
        t.$slots.leftSlot ? (s(), o("span", F, [
          b(t.$slots, "leftSlot", {}, void 0, !0)
        ])) : _("", !0),
        d("span", L, [
          b(t.$slots, "default", {}, () => [
            B(c(t.text), 1)
          ], !0)
        ]),
        t.$slots.rightSlot ? (s(), o("span", W, [
          b(t.$slots, "rightSlot", {}, void 0, !0)
        ])) : _("", !0)
      ]))
    ], 10, E));
  }
}), f = (u, a) => {
  const n = u.__vccOpts || u;
  for (const [l, t] of a)
    n[l] = t;
  return n;
}, $e = /* @__PURE__ */ f(j, [["__scopeId", "data-v-dfd16da5"]]), R = { class: "ui-input" }, q = { class: "ui-input__container" }, G = {
  key: 0,
  class: "ui-button__content-slot ui-button__content-slot--left"
}, H = ["disabled", "placeholder", "maxlength"], J = {
  key: 1,
  class: "ui-button__content-slot ui-button__content-slot--right"
}, K = {
  key: 0,
  class: "ui-input__bottom"
}, P = { class: "ui-input__hint" }, Q = {
  key: 0,
  class: "ui-input__maxlength"
}, X = {
  key: 1,
  class: "ui-input__error"
}, Y = /* @__PURE__ */ k({
  __name: "Input",
  props: {
    model: {},
    text: {},
    placeholder: {},
    id: {},
    disabled: { type: Boolean },
    error: {},
    hint: {},
    maxlength: {}
  },
  emits: ["update:model", "click"],
  setup(u, { emit: a }) {
    const n = u;
    let l = V(!1);
    const t = h(() => n.model ? n.model.length : 0), i = a, p = h({
      get() {
        return n.model;
      },
      set(e) {
        i("update:model", e);
      }
    });
    return (e, v) => (s(), o("div", R, [
      d("div", {
        class: m(["ui-input__text", { "input__text--focus": w(l) }])
      }, c(e.text), 3),
      d("div", q, [
        e.$slots.leftSlot ? (s(), o("div", G, [
          b(e.$slots, "leftSlot", {}, void 0, !0)
        ])) : _("", !0),
        y(d("input", {
          "onUpdate:modelValue": v[0] || (v[0] = (g) => p.value = g),
          class: m(["ui-input__field", { "ui-input__field--error": e.error }]),
          disabled: e.disabled,
          placeholder: e.placeholder,
          type: "text",
          maxlength: e.maxlength
        }, null, 10, H), [
          [O, p.value]
        ]),
        e.$slots.rightSlot ? (s(), o("div", J, [
          b(e.$slots, "rightSlot", {}, void 0, !0)
        ])) : _("", !0)
      ]),
      e.maxlength || e.hint ? (s(), o("div", K, [
        d("span", P, c(e.hint), 1),
        e.maxlength ? (s(), o("span", Q, c(t.value) + "/" + c(e.maxlength), 1)) : _("", !0)
      ])) : _("", !0),
      e.error ? (s(), o("div", X, c(e.error), 1)) : _("", !0)
    ]));
  }
}), ye = /* @__PURE__ */ f(Y, [["__scopeId", "data-v-9d5c8e66"]]), Z = { class: "ui-select" }, x = { class: "ui-select__label" }, ee = { class: "ui-select__container" }, te = ["disabled"], se = {
  key: 0,
  disabled: "",
  selected: "",
  value: ""
}, oe = ["value", "disabled"], le = {
  key: 0,
  class: "ui-select__error"
}, ne = {
  key: 1,
  class: "ui-select__hint"
}, ie = /* @__PURE__ */ k({
  __name: "Select",
  props: {
    model: {},
    width: {},
    label: {},
    notSelected: {},
    hideNotSelect: { type: Boolean },
    options: {},
    disabled: { type: Boolean },
    error: {},
    hint: {}
  },
  emits: ["update:model", "click"],
  setup(u, { emit: a }) {
    let n = V(!1);
    const l = u, t = h(() => l.notSelected ? l.notSelected : "не указан"), i = h(() => Array.isArray(l.options) ? !!l.options.length : !1), p = a, e = h({
      get() {
        return l.model;
      },
      set(r) {
        p("update:model", r);
      }
    }), v = () => n.value = !0, g = () => n.value = !1;
    return (r, S) => (s(), o("div", Z, [
      d("div", x, c(r.label), 1),
      d("div", ee, [
        y(d("select", {
          "onUpdate:modelValue": S[0] || (S[0] = ($) => e.value = $),
          onFocus: v,
          onBlur: g,
          disabled: r.disabled,
          class: m([
            "ui-select__field",
            {
              "ui-select__field--not-selected": !e.value,
              "ui-select__field--error": r.error
            }
          ])
        }, [
          !e.value && !r.hideNotSelect ? (s(), o("option", se, c(t.value), 1)) : _("", !0),
          i.value ? (s(!0), o(C, { key: 1 }, I(r.options, ($, N) => (s(), o("option", {
            key: N,
            value: $.value,
            disabled: $.disabled
          }, c($.label), 9, oe))), 128)) : _("", !0)
        ], 42, te), [
          [M, e.value]
        ]),
        d("div", {
          class: m(["ui-select__icon", w(n) ? "select__icon--arrow-up" : "select__icon--arrow-down"])
        }, null, 2)
      ]),
      r.error ? (s(), o("div", le, c(r.error), 1)) : _("", !0),
      r.hint ? (s(), o("div", ne, c(r.hint), 1)) : _("", !0)
    ]));
  }
}), ge = /* @__PURE__ */ f(ie, [["__scopeId", "data-v-fe3a36a2"]]), de = { class: "ui-checkbox" }, ae = { class: "ui-checkbox__label" }, ue = { class: "ui-checkbox__slot" }, ce = ["disabled"], re = /* @__PURE__ */ k({
  __name: "Checkbox",
  props: {
    check: {},
    disabled: {},
    label: {}
  },
  emits: ["update:check"],
  setup(u, { emit: a }) {
    const n = u, l = a, t = h({
      get() {
        return n.check;
      },
      set(i) {
        l("update:check", i);
      }
    });
    return (i, p) => (s(), o("div", de, [
      d("label", ae, [
        d("span", ue, [
          B(c(i.label) + " ", 1),
          b(i.$slots, "default", {}, void 0, !0)
        ]),
        y(d("input", {
          type: "checkbox",
          disabled: !!i.disabled,
          "onUpdate:modelValue": p[0] || (p[0] = (e) => t.value = e),
          class: "ui-checkbox__input"
        }, null, 8, ce), [
          [T, t.value]
        ]),
        d("span", {
          class: m(["ui-checkbox__checkmark ", { "ui-checkbox__checkmark_disabled": i.disabled }])
        }, null, 2)
      ])
    ]));
  }
}), Se = /* @__PURE__ */ f(re, [["__scopeId", "data-v-d307a83d"]]), _e = { class: "ui-tabs" }, pe = { class: "ui-tabs__header" }, he = ["value", "disabled"], be = { class: "ui-tabs__label" }, me = { class: "ui-tabs__content" }, ve = /* @__PURE__ */ k({
  __name: "Tabs",
  props: {
    picked: {},
    items: {}
  },
  emits: ["update:picked"],
  setup(u, { emit: a }) {
    const n = u, l = a, t = h({
      get() {
        return n.picked;
      },
      set(i) {
        l("update:picked", i);
      }
    });
    return (i, p) => (s(), o("div", _e, [
      d("div", pe, [
        (s(!0), o(C, null, I(i.items, (e) => (s(), o("label", {
          key: e.id,
          class: m(["ui-tabs__tab", { "ui-tabs__tab--active": e.id === t.value }])
        }, [
          y(d("input", {
            "onUpdate:modelValue": p[0] || (p[0] = (v) => t.value = v),
            type: "radio",
            value: e.id,
            disabled: e.disabled,
            class: "ui-tabs__input"
          }, null, 8, he), [
            [U, t.value]
          ]),
          d("span", be, c(e.label), 1)
        ], 2))), 128))
      ]),
      d("div", me, [
        b(i.$slots, "default", {}, void 0, !0)
      ])
    ]));
  }
}), Be = /* @__PURE__ */ f(ve, [["__scopeId", "data-v-35a8f9cd"]]), ke = /* @__PURE__ */ k({
  __name: "Skeleton",
  props: {
    backgroundColor: {},
    width: {},
    height: {}
  },
  setup(u) {
    const a = u, n = h(() => {
      let l = {};
      return Object.keys(a).forEach((t) => {
        t && (l[t] = a[t]);
      }), l;
    });
    return (l, t) => (s(), o("div", {
      class: "ui-skeleton",
      style: D(n.value)
    }, null, 4));
  }
}), Ve = /* @__PURE__ */ f(ke, [["__scopeId", "data-v-02f01480"]]);
export {
  $e as Button,
  Se as Checkbox,
  ye as Input,
  ge as Select,
  Ve as Skeleton,
  Be as Tabs
};
